# Uses of Class
org.springframework.aot.hint.RuntimeHints

Packages that use RuntimeHints
Package
Description
org.springframework.aot.generate
Support classes for components that contribute generated code equivalent to a runtime behavior.
org.springframework.aot.hint
Support for registering the need for reflection, resources, java serialization and proxies at runtime.
org.springframework.aot.hint.annotation
Annotation support for runtime hints.
org.springframework.aot.hint.predicate
Predicate support for runtime hints.
org.springframework.aot.hint.support
Convenience classes for using runtime hints.
org.springframework.aot.nativex
Support for generating GraalVM native configuration from runtime hints.

## Uses of RuntimeHints in org.springframework.aot.generate

Methods in org.springframework.aot.generate that return RuntimeHints
Modifier and Type
Method
Description
`RuntimeHints`
DefaultGenerationContext.`getRuntimeHints()`
`RuntimeHints`
GenerationContext.`getRuntimeHints()`
Get the `RuntimeHints` used by the context.
Constructors in org.springframework.aot.generate with parameters of type RuntimeHints
Modifier
Constructor
Description
``
`DefaultGenerationContext(ClassNameGenerator classNameGenerator, GeneratedFiles generatedFiles, RuntimeHints runtimeHints)`
Create a new `DefaultGenerationContext` instance backed by the specified `ClassNameGenerator`, `GeneratedFiles`, and `RuntimeHints`.

## Uses of RuntimeHints in org.springframework.aot.hint

Methods in org.springframework.aot.hint with parameters of type RuntimeHints
Modifier and Type
Method
Description
`void`
RuntimeHintsRegistrar.`registerHints(RuntimeHints hints, ClassLoader classLoader)`
Contribute hints to the given `RuntimeHints` instance.

## Uses of RuntimeHints in org.springframework.aot.hint.annotation

Methods in org.springframework.aot.hint.annotation with parameters of type RuntimeHints
Modifier and Type
Method
Description
`void`
ReflectiveRuntimeHintsRegistrar.`registerRuntimeHints(RuntimeHints runtimeHints, Class<?>... types)`
Register the relevant runtime hints for elements that are annotated with `Reflective`.

## Uses of RuntimeHints in org.springframework.aot.hint.predicate

Methods in org.springframework.aot.hint.predicate that return types with arguments of type RuntimeHints
Modifier and Type
Method
Description
`Predicate<RuntimeHints>`
ResourceHintsPredicates.`forBundle(String bundleName)`
Return a predicate that checks whether a resource hint is registered for the given bundle name.
`Predicate<RuntimeHints>`
ProxyHintsPredicates.`forInterfaces(Class<?>... interfaces)`
Return a predicate that checks whether a `JdkProxyHint` is registered for the given interfaces.
`Predicate<RuntimeHints>`
ProxyHintsPredicates.`forInterfaces(TypeReference... interfaces)`
Return a predicate that checks whether a `JdkProxyHint` is registered for the given interfaces.
`Predicate<RuntimeHints>`
ResourceHintsPredicates.`forResource(String resourceName)`
Return a predicate that checks whether a resource hint is registered for the given resource name.
`Predicate<RuntimeHints>`
ResourceHintsPredicates.`forResource(TypeReference type, String resourceName)`
Return a predicate that checks whether a resource hint is registered for the given resource name, located in the given type's package.
`Predicate<RuntimeHints>`
SerializationHintsPredicates.`onType(Class<?> type)`
Return a predicate that checks whether a `serialization hint` is registered for the given type.
`Predicate<RuntimeHints>`
SerializationHintsPredicates.`onType(TypeReference typeReference)`
Return a predicate that checks whether a `serialization hint` is registered for the given type reference.
`Predicate<RuntimeHints>`
ReflectionHintsPredicates.TypeHintPredicate.`withAnyMemberCategory(MemberCategory... memberCategories)`
Refine the current predicate to match if any of the given `categories` is present.
`Predicate<RuntimeHints>`
ReflectionHintsPredicates.TypeHintPredicate.`withMemberCategories(MemberCategory... memberCategories)`
Refine the current predicate to only match if the given `categories` are present.
`Predicate<RuntimeHints>`
ReflectionHintsPredicates.TypeHintPredicate.`withMemberCategory(MemberCategory memberCategory)`
Refine the current predicate to only match if the given `MemberCategory` is present.
Methods in org.springframework.aot.hint.predicate with parameters of type RuntimeHints
Modifier and Type
Method
Description
`boolean`
ReflectionHintsPredicates.ConstructorHintPredicate.`test(RuntimeHints runtimeHints)`
`boolean`
ReflectionHintsPredicates.FieldHintPredicate.`test(RuntimeHints runtimeHints)`
`boolean`
ReflectionHintsPredicates.MethodHintPredicate.`test(RuntimeHints runtimeHints)`
`boolean`
ReflectionHintsPredicates.TypeHintPredicate.`test(RuntimeHints hints)`

## Uses of RuntimeHints in org.springframework.aot.hint.support

Methods in org.springframework.aot.hint.support with parameters of type RuntimeHints
Modifier and Type
Method
Description
`static void`
ClassHintUtils.`registerProxyIfNecessary(Class<?> candidateClass, RuntimeHints runtimeHints)`
Register a proxy hint for a JDK proxy or corresponding reflection hints for a CGLIB-generated subclass, if necessary.

## Uses of RuntimeHints in org.springframework.aot.nativex

Methods in org.springframework.aot.nativex with parameters of type RuntimeHints
Modifier and Type
Method
Description
`void`
NativeConfigurationWriter.`write(RuntimeHints hints)`
Write the GraalVM native configuration from the provided hints.